setfenv(1, Dock.FunctionEnviroment)

MediaHandler:Register("border", "RothSquare", [[Interface\Addons\Dock\Images\RothSquare.tga]])

local nagged
_G.LibStub("AceConfig-3.0"):RegisterOptionsTable("Dock", function() --true on-demand configuration
	if nagged or not ConfigLoaded then
		if not nagged then
			local success, reason = _G.LoadAddOn("Dock_Config")
			if not success then
				if reason == "DISABLED" then
					_G.message("Dock Config could not be loaded because it is disabled.")
				elseif reason == "MISSING" then
					_G.message("Dock Config could not be loaded because it is missing.")
				else
					_G.message("Dock Config could not be loaded because of an unknown error code.")
				end
				nagged = true
			end
		end
		if nagged then
			return {
				type = "group",
				name = "Dock",
				args = {
					NotLoaded = {
						type = "execute",
						name = "Dock config not loadable",
						disabled = true,
					},
				},
			}
		end
	end
	return Core:RefreshAndReturnConfig()
end)

Core:RegisterChatCommand("dock", function()
	_G.LibStub("AceConfigDialog-3.0"):Open("Dock")
end)